Upstream information

CVE-2006-2563 at MITRE

Description

The cURL library (libcurl) in PHP 4.4.2 and 5.1.4 allows attackers to bypass safe mode and read files via a file:// request containing null characters.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 191265 [RESOLVED / FIXED], 355542 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Open Enterprise Server
  • apache-mod_php4 >= 4.3.4-43.66
  • apache2-mod_php4 >= 4.3.4-43.66
  • mod_php4-core >= 4.3.4-43.66
  • mod_php4-servlet >= 4.3.4-43.66
  • php4 >= 4.3.4-43.66
  • php4-curl >= 4.3.4-43.66
  • php4-devel >= 4.3.4-43.66
  • php4-exif >= 4.3.4-43.66
  • php4-fastcgi >= 4.3.4-43.66
  • php4-gd >= 4.3.4-43.66
  • php4-imap >= 4.3.4-43.66
  • php4-mbstring >= 4.3.4-43.66
  • php4-mysql >= 4.3.4-43.66
  • php4-pear >= 4.3.4-43.66
  • php4-pgsql >= 4.3.4-43.66
  • php4-recode >= 4.3.4-43.66
  • php4-servlet >= 4.3.4-43.66
  • php4-session >= 4.3.4-43.66
  • php4-sysvshm >= 4.3.4-43.66
  • php4-wddx >= 4.3.4-43.66
core9.s390
core9.x86
YOU Patch Nr: 11201
SUSE LINUX Retail Solution 8
SuSE Linux Enterprise Server 8 for AMD64
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
SuSE Linux Enterprise Server 8 for IBM zSeries
SuSE Linux Enterprise Server 8 for IPF
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • mod_php4 >= 4.2.2-512
  • mod_php4-core >= 4.2.2-512
  • mod_php4-devel >= 4.2.2-512
  • mod_php4-servlet >= 4.2.2-512
ul1.s390
slrs8.x86
YOU Patch Nr: 11161
SUSE LINUX 10.0
  • apache2-mod_php5 >= 5.0.4-9.17
  • php5 >= 5.0.4-9.17
  • php5-bcmath >= 5.0.4-9.17
  • php5-curl >= 5.0.4-9.17
  • php5-devel >= 5.0.4-9.17
  • php5-dom >= 5.0.4-9.17
  • php5-exif >= 5.0.4-9.17
  • php5-fastcgi >= 5.0.4-9.17
  • php5-ftp >= 5.0.4-9.17
  • php5-gd >= 5.0.4-9.17
  • php5-iconv >= 5.0.4-9.17
  • php5-imap >= 5.0.4-9.17
  • php5-ldap >= 5.0.4-9.17
  • php5-mbstring >= 5.0.4-9.17
  • php5-mysql >= 5.0.4-9.17
  • php5-mysqli >= 5.0.4-9.17
  • php5-pear >= 5.0.4-9.17
  • php5-pgsql >= 5.0.4-9.17
  • php5-soap >= 5.0.4-9.17
  • php5-wddx >= 5.0.4-9.17
  • php5-xmlrpc >= 5.0.4-9.17
SUSE Linux Enterprise Server 10 SP1 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP1 for IBM POWER
SUSE Linux Enterprise Server 10 SP1 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP1 for IPF
SUSE Linux Enterprise Server 10 SP1 for x86
  • php5-suhosin >= 5.1.2-29.35
sles10.x86
sles10.s390x
ZYPP Patch Nr: 2875
SUSE LINUX 10.1
  • apache2-mod_php5 >= 5.1.2-29.14
  • php5 >= 5.1.2-29.14
  • php5-bcmath >= 5.1.2-29.14
  • php5-curl >= 5.1.2-29.14
  • php5-dba >= 5.1.2-29.14
  • php5-devel >= 5.1.2-29.14
  • php5-dom >= 5.1.2-29.14
  • php5-exif >= 5.1.2-29.14
  • php5-fastcgi >= 5.1.2-29.14
  • php5-ftp >= 5.1.2-29.14
  • php5-gd >= 5.1.2-29.14
  • php5-iconv >= 5.1.2-29.14
  • php5-imap >= 5.1.2-29.14
  • php5-ldap >= 5.1.2-29.14
  • php5-mbstring >= 5.1.2-29.14
  • php5-mysql >= 5.1.2-29.14
  • php5-mysqli >= 5.1.2-29.14
  • php5-pdo >= 5.1.2-29.14
  • php5-pear >= 5.1.2-29.14
  • php5-pgsql >= 5.1.2-29.14
  • php5-soap >= 5.1.2-29.14
  • php5-wddx >= 5.1.2-29.14
  • php5-xmlrpc >= 5.1.2-29.14
SUSE LINUX 10.0
  • apache2-mod_php4 >= 4.4.0-6.18
  • php4 >= 4.4.0-6.18
  • php4-32bit >= 4.4.0-6.18
  • php4-64bit >= 4.4.0-6.18
  • php4-curl >= 4.4.0-6.18
  • php4-devel >= 4.4.0-6.18
  • php4-exif >= 4.4.0-6.18
  • php4-fastcgi >= 4.4.0-6.18
  • php4-gd >= 4.4.0-6.18
  • php4-imap >= 4.4.0-6.18
  • php4-mbstring >= 4.4.0-6.18
  • php4-pgsql >= 4.4.0-6.18
  • php4-servlet >= 4.4.0-6.18
  • php4-session >= 4.4.0-6.18
  • php4-unixODBC >= 4.4.0-6.18
  • php4-wddx >= 4.4.0-6.18
SUSE LINUX 9.3
  • apache2-mod_php5 >= 5.0.3-14.27
  • php5 >= 5.0.3-14.27
  • php5-bcmath >= 5.0.3-14.27
  • php5-curl >= 5.0.3-14.27
  • php5-dba >= 5.0.3-14.27
  • php5-devel >= 5.0.3-14.27
  • php5-dom >= 5.0.3-14.27
  • php5-exif >= 5.0.3-14.27
  • php5-fastcgi >= 5.0.3-14.27
  • php5-ftp >= 5.0.3-14.27
  • php5-gd >= 5.0.3-14.27
  • php5-iconv >= 5.0.3-14.27
  • php5-imap >= 5.0.3-14.27
  • php5-ldap >= 5.0.3-14.27
  • php5-mbstring >= 5.0.3-14.27
  • php5-mysql >= 5.0.3-14.27
  • php5-mysqli >= 5.0.3-14.27
  • php5-pear >= 5.0.3-14.27
  • php5-pgsql >= 5.0.3-14.27
  • php5-soap >= 5.0.3-14.27
  • php5-wddx >= 5.0.3-14.27
  • php5-xmlrpc >= 5.0.3-14.27
SUSE LINUX 9.3
  • apache2-mod_php4 >= 4.3.10-14.28
  • mod_php4-servlet >= 4.3.10-14.28
  • php4 >= 4.3.10-14.28
  • php4-32bit >= 9.3-7.12
  • php4-curl >= 4.3.10-14.28
  • php4-devel >= 4.3.10-14.28
  • php4-exif >= 4.3.10-14.28
  • php4-fastcgi >= 4.3.10-14.28
  • php4-gd >= 4.3.10-14.28
  • php4-imap >= 4.3.10-14.28
  • php4-mbstring >= 4.3.10-14.28
  • php4-pear >= 4.3.10-14.28
  • php4-pgsql >= 4.3.10-14.28
  • php4-session >= 4.3.10-14.28
  • php4-sysvshm >= 4.3.10-14.28
  • php4-wddx >= 4.3.10-14.28